/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License;
 * you may not use this file except in compliance with the Elastic License.
 */
package org.elasticsearch.xpack.sql.util;

import java.util.function.Consumer;

public interface ThrowableConsumer<T> extends Consumer<T> { // NOCOMMIT replace with CheckedConsumer

    @Override
    default void accept(T t) {
        try {
            acceptThrows(t);
        } catch (Exception ex) {
            throw new WrappingException(ex);
        }
    }

    void acceptThrows(T t) throws Exception;
}